Ubuntu

gnome-shell 3.1.90.1 crashes on startup

Reported by Larry Hastings on 2011-09-09
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
High
Unassigned

Bug Description

When I log in to Ubuntu oneric with all packages currently up-to-date, and I specify the "GNOME" window manager, gnome-shell crashes, leaving me with a Nautilus window running without a window manager. If I specify the "Unity 2D" window manager, I can log in--if I then open a terminal window and run "gnome-shell --replace", it produces the following output:

    JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
    JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
    JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
larry@ JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
    JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
    JS ERROR: !!! Exception was: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found
    JS ERROR: !!! lineNumber = '0'
    JS ERROR: !!! fileName = '"gjs_throw"'
    JS ERROR: !!! stack = '"("Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/endSessionDialog.js:25
"'
    JS ERROR: !!! message = '"Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found"'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring AccountsService, version none: Typelib file for namespace 'AccountsService' (any version) not found

It didn't do this with yesterday's updates. gnome-shell is currently at version 3.1.90.1-0ubuntu2 on my system.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) wrote :

Please install gir1.2-accountsservice-1.0. The next gnome-shell upload should fix this.

Changed in gnome-shell (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
summary: - gnome-shell (GNOME 3) crashes on startup
+ gnome-shell 3.1.90.1 crashes on startup
Larry Hastings (larry-hastings) wrote :

With gir1.2-accountsservice-1.0 installed, and everything else updated, gnome-shell now works again. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.1.90.1-0ubuntu4

---------------
gnome-shell (3.1.90.1-0ubuntu4) oneiric; urgency=low

  * debian/control.in
    - Depend on gir1.2-accountsservice-1.0 since if it's missing,
      Shell won't even run (LP: #845791)
    - Also depend on libgudev-1.0-dev
 -- Jeremy Bicha <email address hidden> Fri, 09 Sep 2011 13:19:30 -0400

Changed in gnome-shell (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers